### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-pagination/ecl-pagination-item.component.ts`

### Extends

`ECLBaseDirective`

### Metadata

selector | `ecl-pagination-item`
templateUrl | `./ecl-pagination-item.component.html`

### Index

###### Methods

- geti18nPageAriaLabelKey
- geti18nPageLabelKey
- onPageClick
- getCssClasses

###### Inputs

- ariaLabel
- href
- isCurrent
- isNext
- isPrevious
- label
- queryParams
- routerLink
- class
- e2eAttr

###### Outputs

- pageClick

###### HostBindings

- class

###### Accessors

- cssClasses

### Inputs

ariaLabel
Type : `string`

href
Type : `string`
Default value : `''`

isCurrent
Type : `boolean`

isNext
Type : `boolean`

isPrevious
Type : `boolean`

label
Type : `string`

queryParams
Type : `any`
Default value : `null`

routerLink
Type : `any`
Default value : `null`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

pageClick
Type : `EventEmitter`

### HostBindings

class
Type : `any`

### Methods

geti18nPageAriaLabelKey
`geti18nPageAriaLabelKey()`
Returns : `string`

geti18nPageLabelKey
`geti18nPageLabelKey()`
Returns : `string`

onPageClick
`onPageClick(evt)`

Parameters :

Name | Optional
evt | No

Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""